
From: Christoph Hellwig <hch@lst.de>

Tons of ezports in the neew audit code, but not a single module that
actually uses one of them.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/audit.c   |   13 -------------
 25-akpm/kernel/auditsc.c |    9 +--------
 2 files changed, 1 insertion(+), 21 deletions(-)

diff -puN kernel/audit.c~remove-exports-from-audit-code kernel/audit.c
--- 25/kernel/audit.c~remove-exports-from-audit-code	2004-09-07 20:08:05.000000000 -0700
+++ 25-akpm/kernel/audit.c	2004-09-07 20:08:05.000000000 -0700
@@ -810,16 +810,3 @@ void audit_log(struct audit_context *ctx
 		audit_log_end(ab);
 	}
 }
-
-EXPORT_SYMBOL_GPL(audit_set_rate_limit);
-EXPORT_SYMBOL_GPL(audit_set_backlog_limit);
-EXPORT_SYMBOL_GPL(audit_set_enabled);
-EXPORT_SYMBOL_GPL(audit_set_failure);
-
-EXPORT_SYMBOL_GPL(audit_log_start);
-EXPORT_SYMBOL_GPL(audit_log_format);
-EXPORT_SYMBOL_GPL(audit_log_end_irq);
-EXPORT_SYMBOL_GPL(audit_log_end_fast);
-EXPORT_SYMBOL_GPL(audit_log_end);
-EXPORT_SYMBOL_GPL(audit_log);
-EXPORT_SYMBOL_GPL(audit_log_d_path);
diff -puN kernel/auditsc.c~remove-exports-from-audit-code kernel/auditsc.c
--- 25/kernel/auditsc.c~remove-exports-from-audit-code	2004-09-07 20:08:05.000000000 -0700
+++ 25-akpm/kernel/auditsc.c	2004-09-07 20:39:19.544421864 -0700
@@ -857,6 +857,7 @@ void audit_putname(const char *name)
 	}
 #endif
 }
+EXPORT_SYMBOL(audit_putname);
 
 /* Store the inode and device from a lookup.  Called from
  * fs/namei.c:path_lookup(). */
@@ -913,11 +914,3 @@ int audit_set_loginuid(struct audit_cont
 	}
 	return 0;
 }
-
-EXPORT_SYMBOL_GPL(audit_alloc);
-EXPORT_SYMBOL_GPL(audit_free);
-EXPORT_SYMBOL_GPL(audit_syscall_entry);
-EXPORT_SYMBOL_GPL(audit_syscall_exit);
-EXPORT_SYMBOL_GPL(audit_getname);
-EXPORT_SYMBOL_GPL(audit_putname);
-EXPORT_SYMBOL_GPL(audit_inode);
_
